//
//  A T2 test game: 
//  		top aligned banner
//				id-less
// 		status line mode
//			created/removed every 4 turns
//

#include <adv.t>
#include <std.t>

startroom: room
   sdesc = "XTads T2 banner test"
   ldesc = "Top aligned status line that comes and goes"
   turnCount = 0
	statusLine =
		{
		local createBanner := ((turnCount % 4) = 0);
		local removeBanner := ((turnCount % 4) = 3);
		local li;
		turnCount += 1;
		if (createBanner) 
			{
			//"CREATE!";
			"<banner align='top' border>created</banner>";
			}
		else if (removeBanner)
			{
			//"REMOVE!";
			"<banner remove>";
			}
		else
			{
			//"NO CHANGE!";
			"<banner align='top' border>no change</banner>";
			}
		}
;

replace commonInit: function
{
    // turn on html mode
    "\H+";
}
